%define oname   Xarchiver

Summary:	Xarchiver, a lightweight archiving/compression tool
Name:		xarchiver
Version:	0.4.6
Release:	%mkrel 3
License:	GPL
Group:		Archiving/Compression
URL:		http://xarchiver.xfce.org
Source0:	%{name}-%{version}.tar.bz2 
BuildRequires:	pkgconfig
BuildRequires:	gtk+2-devel
BuildRequires:	desktop-file-utils
BuildRequires:	ImageMagick
Requires(post):	desktop-file-utils
Requires(postun): desktop-file-utils
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Xarchiver is a lightweight GTK2 only frontend to
7zip, arj, rar, zip, bzip2, tar, gzip and RPM.

%prep
%setup -q

%build
%configure2_5x
		
%make

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32}/apps
convert icons/48x48/%{name}.png -geometry 16x16 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
convert icons/48x48/%{name}.png -geometry 32x32 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png

desktop-file-install --vendor="" \
    --remove-category="Application" \
    --add-category="X-MandrivaLinux-System-Archiving-Compression" \
    --add-category="Archiving" \
    --add-only-show-in="XFCE" \
    --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name} --with-gnome

%clean 
rm -rf %{buildroot}

%post
%{update_menus}
%{update_desktop_database}
%update_icon_cache hicolor

%postun
%{clean_menus}
%{clean_desktop_database}
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root,755)
%{_datadir}/doc/xarchiver/* 
%{_bindir}/%{name}
%{_datadir}/applications/xarchiver.desktop
%{_libdir}/thunar-archive-plugin/xarchiver.tap
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/pixmaps/xarchiver/*.png


%changelog
* Wed May 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.6-3mdv2007.1
+ Revision: 32837
- s/imagemagick/ImageMagick

* Wed May 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.6-2mdv2008.0
+ Revision: 32831
- drop old menu style
- drop Source1
- spec file clean


* Fri Dec 15 2006 Jérôme Soyer <saispo@mandriva.org> 0.4.6-1mdv2007.0
+ Revision: 97289
- Add BuildRequires
- Push Xarchiver
- Import xarchiver

* Mon Sep 04 2006 Jerome Soyer <saispo@mandriva.org> 0.4.0-1mdv2007.0
- 0.4.0

* Tue Jul 11 2006 Charles A Edwards <eslrahc@mandriva.org> 0.3.9.2-0.beta2.1mdv2007.0
- 0.3.9.2beta2
- drop icon source and use included
- xdg
- cleanup

* Sat May 06 2006 Jerome Soyer <saispo@mandriva.org> 0.3.3-1mdk
- New release 0.3.3

* Thu May 04 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.2-2mdk
- Fix BuildRequires

* Wed May 03 2006 Jerome Soyer <saispo@mandriva.org> 0.3.2-1mdk
- New release 0.3.2

* Thu Apr 06 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.1-3mdk
- Fix BuildRequires

* Wed Apr 05 2006 Jerome Soyer <saispo@mandriva.org> 0.3.1-2mdk
* Mon Apr 03 2006 Phil <philippe-pierre@lamarelle.org> 0.3.1-2mdk
    - added menus
    - rebuild

* Mon Apr 03 2006 Jerome Soyer <saispo@mandriva.org> 0.3.1-1mdk
- RPM From :

 * Sun Apr 02 2006 Phil <philippe-pierre@lamarelle.org> 0.3.1-1mdk
   - removed NEWS (empty file) from %%doc
   - cleaned up xarchiver.spec
   - rebuild
   - xarchiver 0.3.1 initial mdk release

